package com.alterdekim.hearthhack.util;

public enum GameType {
    // Token: 0x04000710 RID: 1808
    GT_UNKNOWN,
    // Token: 0x04000711 RID: 1809
    GT_VS_AI,
    // Token: 0x04000712 RID: 1810
    GT_VS_FRIEND,
    // Token: 0x04000713 RID: 1811
    GT_TUTORIAL, // =4
    // Token: 0x04000714 RID: 1812
    GT_ARENA,
    // Token: 0x04000715 RID: 1813
    GT_TEST,
    // Token: 0x04000716 RID: 1814
    GT_RANKED,
    // Token: 0x04000717 RID: 1815
    GT_CASUAL,
    // Token: 0x04000719 RID: 1817
    GT_TB_1P_VS_AI,
    // Token: 0x0400071A RID: 1818
    GT_TB_2P_COOP,
    // Token: 0x0400071B RID: 1819
    GT_LAST;

    /*
        // Token: 0x04000718 RID: 1816
    GT_TAVERNBRAWL, // = 16
     */

    public int getValue() {
        return ordinal() + 3;
    }

    public static GameType parseFromInt(long val) {
        for( GameType r : values() ) {
            if( r.getValue() == val ) return r;
        }
        return GT_LAST;
    }
}
