package com.alterdekim.hearthhack.xml;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import static com.alterdekim.hearthhack.xml.XmlType.Attribute;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface XmlElement {
    String name() default "";
    XmlType type() default Attribute;
    boolean inheritName() default true;
}