package com.alterdekim.hearthhack.util;

public enum GetAccountInfoRequest {
    // Token: 0x04000931 RID: 2353
    LAST_LOGIN,
    // Token: 0x04000932 RID: 2354
    DECK_LIST,
    // Token: 0x04000933 RID: 2355
    COLLECTION,
    // Token: 0x04000934 RID: 2356
    MEDAL_INFO,
    // Token: 0x04000935 RID: 2357
    MEDAL_HISTORY,
    // Token: 0x04000936 RID: 2358
    BOOSTERS,
    // Token: 0x04000937 RID: 2359
    CARD_BACKS,
    // Token: 0x04000938 RID: 2360
    PLAYER_RECORD,
    // Token: 0x04000939 RID: 2361
    GAMES_PLAYED,
    // Token: 0x0400093A RID: 2362
    DECK_LIMIT,
    // Token: 0x0400093B RID: 2363
    CAMPAIGN_INFO,
    // Token: 0x0400093C RID: 2364
    NOTICES,
    // Token: 0x0400093D RID: 2365
    MOTD,
    // Token: 0x0400093E RID: 2366
    CLIENT_OPTIONS,
    // Token: 0x0400093F RID: 2367
    CARD_VALUES,
    // Token: 0x04000940 RID: 2368
    DISCONNECTED,
    // Token: 0x04000941 RID: 2369
    ARCANE_DUST_BALANCE,
    // Token: 0x04000942 RID: 2370
    FEATURES,
    // Token: 0x04000943 RID: 2371
    REWARD_PROGRESS,
    // Token: 0x04000944 RID: 2372
    GOLD_BALANCE,
    // Token: 0x04000945 RID: 2373
    HERO_XP,
    // Token: 0x04000946 RID: 2374
    PVP_QUEUE,
    // Token: 0x04000947 RID: 2375
    NOT_SO_MASSIVE_LOGIN,
    // Token: 0x04000948 RID: 2376
    BOOSTER_TALLY,
    // Token: 0x04000949 RID: 2377
    TAVERN_BRAWL_INFO,
    // Token: 0x0400094A RID: 2378
    TAVERN_BRAWL_RECORD,
    // Token: 0x0400094B RID: 2379
    FAVORITE_HEROES,
    // Token: 0x0400094C RID: 2380
    ACCOUNT_LICENSES;

    public int getValue() {
        return ordinal() + 1;
    }

    public static GetAccountInfoRequest parseFromInt(int val) {
        for( GetAccountInfoRequest r : values() ) {
            if( r.getValue() == val ) return r;
        }
        return LAST_LOGIN;
    }
}